--- title: "associatePublicIpWithServerInstance" slug: "compute-vserver-publicip-associatepublicipwithserverinstance" updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-publicip-associatepublicipwithserverinstance" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # associatePublicIpWithServerInstance Available in VPC Assign public IP instances to server instances. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/associatePublicIpWithServerInstance | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `publicIpInstanceNo` | String | Required | Public IP instance number - See [getPublicIpInstanceList](/docs/en/compute-vserver-publicip-getpublicipinstancelist). | | `serverInstanceNo` | String | Required | Server instance number - See [getServerInstanceList](/docs/en/compute-vserver-server-getserverinstancelist). | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/associatePublicIpWithServerInstance ?regionCode=KR &publicIpInstanceNo=10*****54 &serverInstanceNo=10*****18 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `associatePublicIpWithServerInstanceResponse` | Object | - | Response result - See [PublicIpInstanceList](/docs/en/common-vapidatatype-publicipinstancelist). | | `associatePublicIpWithServerInstanceResponse.requestId` | String | - | ID for the request - UUID format | | `associatePublicIpWithServerInstanceResponse.returnCode` | String | - | Response code | | `associatePublicIpWithServerInstanceResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "associatePublicIpWithServerInstanceResponse": { "totalRows": 1, "publicIpInstanceList": [ { "publicIpInstanceNo": "10*****54", "publicIp": "101.*.*.67", "publicIpDescription": "test IP", "createDate": "2025-06-20T10:31:23+0900", "publicIpInstanceStatusName": "Configuring", "publicIpInstanceStatus": { "code": "RUN", "codeName": "In operation" }, "serverInstanceNo": "10*****18", "serverName": "s-65gu4d2is312u", "privateIp": "10.0.10.6", "publicIpInstanceOperation": { "code": "SET", "codeName": "SETTING OP" } } ], "requestId": "dbfe4f39-****-****-****-3bbb2b62a284", "returnCode": "0", "returnMessage": "success" } } ```